Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.relateddomainext
Class EPPRelatedDomainExtDomainData

    java.lang.Object
      com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtDomainData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRelatedDomainExtDomainData

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a tag sent in a response. This element contains a number of child elements. Not all of them are required for all the responses listed below in which this element is used.

- Domain Create Response
- Domain Delete Response
- Domain Renew Response
- Domain Transfer Response

Title: EPP 1.0 Related Domain - domain tag

Description: The EPPRelatedDomainExtDomainData object represents the collection of domains that had been processed atomically. As XML, it is represented by a element.

Copyright: Copyright (c) 2013

Company: VeriSign

Version:
  1.0
Author:
  nchigurupati
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DELETE_DELETED` Constant for the delete result when the domain is deleted.
`static java.lang.String` | `DELETE_PENDING_DELETE`

Constructor Summary
`EPPRelatedDomainExtDomainData()` `EPPRelatedDomainExtDomainData` default constructor.
`EPPRelatedDomainExtDomainData(java.lang.String aName)` Constructor which takes the name of domain.
`EPPRelatedDomainExtDomainData(java.lang.String aName, java.util.Date aExpirationDate)` Constructor which takes the name of domain and expiration date
`EPPRelatedDomainExtDomainData(java.lang.String aName, java.util.Date aCreationDate, java.util.Date aExpirationDate)` Constructor which takes the name of domain, creation date and expiration date
`EPPRelatedDomainExtDomainData(java.lang.String aName, java.lang.String aDeleteResult)` Constructor which takes the name of domain and deletion result
`EPPRelatedDomainExtDomainData(java.lang.String aName, java.lang.String aTransferStatus, java.lang.String aRequestClient, java.util.Date aRequestDate, java.lang.String aActionClient, java.util.Date aActionDate, java.util.Date aExpirationDate)` Constructor which takes the name of domain, transfer status, request client, request date, action client, action date and expiration date.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRelatedDomainExtDomainData`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRelatedDomainExtDomainData` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRelatedDomainExtDomainData` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRelatedDomainExtDomainData` with this instance.
`java.lang.String` | `getActionClient()` Gets the identifier of the client that SHOULD respond to the transfer request.
`java.util.Date` | `getActionDate()` Gets the date and time of a required or completed response.
`java.util.Date` | `getCreatedDate()` Returns the createdDate
`java.lang.String` | `getDeleteResult()` Returns the deleteResult
`java.util.Date` | `getExpirationDate()` Gets the optional attribute that contains the end of the domain's validity period if the transfer command caused or causes a change in the validity period.
`java.lang.String` | `getName()` Gets the domain name
`java.lang.String` | `getRequestClient()` Gets the identifier of the client that initiated the transfer request.
`java.util.Date` | `getRequestDate()` Gets the date and time that the transfer was requested.
`java.lang.String` | `getTransferStatus()` Gets the state of the most recent transfer request.
`boolean` | `hasActionClient()`
`boolean` | `hasActionDate()`
`boolean` | `hasCreatedDate()`
`boolean` | `hasDeleteResult()`
`boolean` | `hasExpirationDate()`
`boolean` | `hasName()`
`boolean` | `hasRequestClient()`
`boolean` | `hasRequestDate()`
`boolean` | `hasTransferStatus()`
`void` | `setActionClient(java.lang.String aActionClient)` Sets the identifier of the client that SHOULD respond to the transfer request.
`void` | `setActionDate(java.util.Date aActionDate)` Sets the date and time of a required or completed response.
`void` | `setCreatedDate(java.util.Date aCreatedDate)` Sets createdDate value to createdDate
`void` | `setDeleteResult(java.lang.String aDeleteResult)` Sets deleteResult value to deleteResult
`void` | `setExpirationDate(java.util.Date aExpirationDate)` Sets the optional attribute that contains the end of the domain's validity period if the transfer command caused or causes a change in the validity period.
`void` | `setName(java.lang.String aName)` Sets the domain name.
`void` | `setRequestClient(java.lang.String aRequestClient)` Sets the identifier of the client that initiated the transfer request.
`void` | `setRequestDate(java.util.Date aRequestDate)` Sets the date and time that the transfer was requested.
`void` | `setTransferStatus(java.lang.String aTransferStatus)` Sets the state of the most recent transfer request.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_DELETED

    public static final java.lang.String DELETE_DELETED

  Constant for the delete result when the domain is deleted.

  See Also:
    Constant Field Values

### DELETE_PENDING_DELETE

    public static final java.lang.String DELETE_PENDING_DELETE

See Also:
  Constant Field Values

Constructor Detail

### EPPRelatedDomainExtDomainData

    public EPPRelatedDomainExtDomainData()

  `EPPRelatedDomainExtDomainData` default constructor. Must call required setter methods before invoking `encode`, which may include:
  - name - `setName`
  - request client - `setRequestClient`
  - action client - `setActionClient`
  - transfer status - `setTransferStatus`
  - request date - `setReqeustDate`
  - action date - `setActionDate`
  - expiration date - `setExpirationDate`
  - created date - `setCreatedDate`
  - deletion result - `setDeleteResult`

### EPPRelatedDomainExtDomainData

    public EPPRelatedDomainExtDomainData(java.lang.String aName)

  Constructor which takes the name of domain.

  Parameters:
    `aName` -

### EPPRelatedDomainExtDomainData

    public EPPRelatedDomainExtDomainData(java.lang.String aName,
                                         java.util.Date aCreationDate,
                                         java.util.Date aExpirationDate)

  Constructor which takes the name of domain, creation date and expiration date

  Parameters:
    `aName` -
    `aCreationDate` -
    `aExpirationDate` -

### EPPRelatedDomainExtDomainData

    public EPPRelatedDomainExtDomainData(java.lang.String aName,
                                         java.util.Date aExpirationDate)

  Constructor which takes the name of domain and expiration date

  Parameters:
    `aName` -
    `aExpirationDate` -

### EPPRelatedDomainExtDomainData

    public EPPRelatedDomainExtDomainData(java.lang.String aName,
                                         java.lang.String aDeleteResult)

  Constructor which takes the name of domain and deletion result

  Parameters:
    `aName` -
    `aDeleteResult` -

### EPPRelatedDomainExtDomainData

    public EPPRelatedDomainExtDomainData(java.lang.String aName,
                                         java.lang.String aTransferStatus,
                                         java.lang.String aRequestClient,
                                         java.util.Date aRequestDate,
                                         java.lang.String aActionClient,
                                         java.util.Date aActionDate,
                                         java.util.Date aExpirationDate)

  Constructor which takes the name of domain, transfer status, request client, request date, action client, action date and expiration date.

  Parameters:
    `aName` -
    `aTransferStatus` -
    `aRequestClient` -
    `aRequestDate` -
    `aActionClient` -
    `aActionDate` -
    `aExpirationDate` -

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRelatedDomainExtDomainData` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPRelatedDomainExtDomainData` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPRelatedDomainExtDomainData` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPRelatedDomainExtDomainData` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRelatedDomainExtDomainData` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPRelatedDomainExtDomainData` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRelatedDomainExtDomainData`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRelatedDomainExtDomainData`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public java.lang.String getName()

  Gets the domain name

  Returns:
    Domain Name if set; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the domain name.

  Parameters:
    `aName` - Domain Name

### getRequestClient

    public java.lang.String getRequestClient()

  Gets the identifier of the client that initiated the transfer request.

  Returns:
    The Request Client Id `String` if defined; `null` otherwise.

### setRequestClient

    public void setRequestClient(java.lang.String aRequestClient)

  Sets the identifier of the client that initiated the transfer request.

  Parameters:
    `aRequestClient` - The Request Client Id `String`

### getActionClient

    public java.lang.String getActionClient()

  Gets the identifier of the client that SHOULD respond to the transfer request.

  Returns:
    The Request Client Id `String` if defined; `null` otherwise.

### setActionClient

    public void setActionClient(java.lang.String aActionClient)

  Sets the identifier of the client that SHOULD respond to the transfer request.

  Parameters:
    `aActionClient` - The Action Client Id `String`

### getTransferStatus

    public java.lang.String getTransferStatus()

  Gets the state of the most recent transfer request. This should be one of the `EPPResponse.TRANSFER` constants.

  Returns:
    The transfer status `String` if defined; `null` otherwise.

### setTransferStatus

    public void setTransferStatus(java.lang.String aTransferStatus)

  Sets the state of the most recent transfer request. This should be one of the `EPPResponse.TRANSFER` constants.

  Parameters:
    `aTransferStatus` - The transfer status String (`EPPResponse.TRANSFER`)

### getRequestDate

    public java.util.Date getRequestDate()

  Gets the date and time that the transfer was requested.

  Returns:
    The request date and time if defined; `null` otherwise.

### setRequestDate

    public void setRequestDate(java.util.Date aRequestDate)

  Sets the date and time that the transfer was requested.

  Parameters:
    `aRequestDate` - The request date and time

### getActionDate

    public java.util.Date getActionDate()

  Gets the date and time of a required or completed response.

  Returns:
    The required or complete response data and time if defined; `null` otherwise.

### setActionDate

    public void setActionDate(java.util.Date aActionDate)

  Sets the date and time of a required or completed response.

  Parameters:
    `aActionDate` - The required or complete response data and time.

### getExpirationDate

    public java.util.Date getExpirationDate()

  Gets the optional attribute that contains the end of the domain's validity period if the transfer command caused or causes a change in the validity period.

  Returns:
    Transfer expiration data and time if defined; `null` otherwise.

### setExpirationDate

    public void setExpirationDate(java.util.Date aExpirationDate)

  Sets the optional attribute that contains the end of the domain's validity period if the transfer command caused or causes a change in the validity period.

  Parameters:
    `aExpirationDate` - Transfer expiration data and time.

### getCreatedDate

    public java.util.Date getCreatedDate()

  Returns the createdDate

  Returns:
    the createdDate

### setCreatedDate

    public void setCreatedDate(java.util.Date aCreatedDate)

  Sets createdDate value to createdDate

  Parameters:
    `aCreatedDate` - the createdDate to set

### getDeleteResult

    public java.lang.String getDeleteResult()

  Returns the deleteResult

  Returns:
    the deleteResult

### setDeleteResult

    public void setDeleteResult(java.lang.String aDeleteResult)

  Sets deleteResult value to deleteResult

  Parameters:
    `aDeleteResult` - the deleteResult to set

### hasExpirationDate

    public boolean hasExpirationDate()

  Returns:
    `true` if expirationDate is not null.

### hasActionDate

    public boolean hasActionDate()

  Returns:
    `true` if actionDate is not null.

### hasActionClient

    public boolean hasActionClient()

  Returns:
    `true` if actionClient is not null.

### hasRequestDate

    public boolean hasRequestDate()

  Returns:
    `true` if requestDate is not null.

### hasRequestClient

    public boolean hasRequestClient()

  Returns:
    `true` if requestClient is not null.

### hasTransferStatus

    public boolean hasTransferStatus()

  Returns:
    `true` if transferStatus is not null.

### hasDeleteResult

    public boolean hasDeleteResult()

  Returns:
    `true` if deleteResult is not null.

### hasCreatedDate

    public boolean hasCreatedDate()

  Returns:
    `true` if createdDate is not null.

### hasName

    public boolean hasName()

  Returns:
    `true` if name is not null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.